hwy::AlignedDeleter Class Reference

`#include <aligned_allocator.h>`

## Public Member Functions

| AlignedDeleter ()
| AlignedDeleter (FreePtr free_ptr, void *opaque_ptr)
template<typename T >
void | operator() (T *aligned_pointer) const

## Private Types

using | ArrayDeleter = void(*)(void *t_ptr, size_t t_size)

## Static Private Member Functions

template<typename T >
static void | TypedArrayDeleter (void *ptr, size_t size_in_bytes)
static HWY_DLLEXPORT void | DeleteAlignedArray (void *aligned_pointer, FreePtr free_ptr, void *opaque_ptr, ArrayDeleter deleter)

## Private Attributes

FreePtr | free_
void * | opaque_ptr_

## Member Typedef Documentation

## ArrayDeleter

using hwy::AlignedDeleter::ArrayDeleter = void (*)(void* t_ptr, size_t t_size)

private

## Constructor & Destructor Documentation

## AlignedDeleter() [1/2]

hwy::AlignedDeleter::AlignedDeleter | ( |  | ) |

inline

## AlignedDeleter() [2/2]

hwy::AlignedDeleter::AlignedDeleter | ( | FreePtr | free_ptr,
|  | void * | opaque_ptr
| ) |  |

inline

## Member Function Documentation

## DeleteAlignedArray()

static HWY_DLLEXPORT void hwy::AlignedDeleter::DeleteAlignedArray | ( | void * | aligned_pointer,
|  | FreePtr | free_ptr,
|  | void * | opaque_ptr,
|  | ArrayDeleter | deleter
| ) |  |

static private

Referenced by operator()().

## operator()()

template<typename T >

void hwy::AlignedDeleter::operator() | ( | T * | aligned_pointer | ) | const

inline

References DeleteAlignedArray(), free_, and opaque_ptr_.

## TypedArrayDeleter()

template<typename T >

static void hwy::AlignedDeleter::TypedArrayDeleter | ( | void * | ptr,
|  | size_t | size_in_bytes
| ) |  |

inline static private

## Member Data Documentation

## free_

FreePtr hwy::AlignedDeleter::free_

private

Referenced by operator()().

## opaque_ptr_

void* hwy::AlignedDeleter::opaque_ptr_

private

Referenced by operator()().

The documentation for this class was generated from the following file:

- aligned_allocator.h